import { useGetUserProfileQuery } from 'gql/generated/react';
import React, { FC, useEffect } from 'react';
import { Base } from 'src/layouts/Base';
import { Container, PrimaryButton, Stack } from 'ui';

export interface ProfileProps {}
export type ProfileType = FC<ProfileProps>;

export const Profile: ProfileType = () => {
    const { data } = useGetUserProfileQuery({
        variables: {
            id: '73a59bb8-edb3-42bf-9ad4-7076fbdc7b55',
        },
    });

    useEffect(() => {
        console.log(data);
    }, [data]);

    return (
        <Base>
            <Container>
                <Stack direction={'column'}>{data?.__typename}</Stack>
            </Container>
        </Base>
    );
};
